/* GCC */
#include <iostream>
#include <fstream>
#include <vector>

#define LEFT_DOWN 1
#define LEFT_UP 2
#define RIGHT_DOWN 3
#define RIGHT_UP 4
using namespace std;
typedef unsigned long long ul;
typedef float eventTime;

class Event {
public:
    int type;
    ul timestamp;

    Event(int _type, ul time) {
        this->type      = _type;
        this->timestamp = time;
    }
    Event(int _type, eventTime time) {
        this->type      = _type;
        this->timestamp = time * 1000;
        //cout << timestamp <<" ";
    }

    static bool pretty_fast(Event e1, Event e2) {
        return ( (e2.timestamp - e1.timestamp) <= 500 );
    }
};

int main()
{
    vector<Event> events;
    ul N;
    ul counter = 0;
    bool L_down = false;
    bool waiting = false;
    int last_dc_ldown = -1;
    int last_ldown = -1;
    ifstream in("mouse.in");

    in >> N;
    //cout << "N: L_DOWN WAITING COUNTER" << endl;
    for (unsigned int i=0; i<N; i++) {
        int type;
        eventTime tstamp;
        in >> type;
        in >> tstamp;
        Event e(type, tstamp);
        //cout << tstamp << "->" << e.timestamp << " ";

        if (waiting) {
            if (e.type > LEFT_UP) {
                waiting = false;
            } else if (e.type == LEFT_DOWN && Event::pretty_fast(events[i-2], e)) {
                counter++;
                waiting = false;
                last_dc_ldown = i;
                //cout << e.timestamp - events[i-2].timestamp << " ";
            }
        } else {
            if (L_down && e.type == LEFT_UP) {
                if (last_ldown != last_dc_ldown)
                    waiting = true;
                //else
                    //cout <<"Nope ";
            }
        }
        if (L_down) {
            if (e.type == LEFT_UP) L_down = false;
        } else {
            if (e.type == LEFT_DOWN) {
                last_ldown = i;
                L_down = true;
            }
        }
        events.push_back(e);
        //cout << i + 1 << ": " << L_down << "      " << waiting << "       " << counter << endl;
    }

    in.close();

    ofstream out("mouse.out");
    out << counter << endl;
    out.close();

    return 0;
}
